## python-cymem 2.0.2

=== requirements.txt ===
cython>=0.24,<0.28.0
pytest

=== debian/changelog ===
python-cymem (2.0.2-1build2) focal; urgency=medium

  * No-change rebuild to drop python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2020 10:22:41 +0100

python-cymem (2.0.2-1build1) focal; urgency=medium

  * No-change rebuild to build with python3.8.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 18 Oct 2019 18:42:46 +0000

python-cymem (2.0.2-1) unstable; urgency=low

  * Initial release. (Closes: #900941)

 -- Andreas Tille <tille@debian.org>  Wed, 28 Nov 2018 16:59:12 +0100

=== debian/control ===
Source: python-cymem
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: python
Testsuite: autopkgtest-pkg-python
Priority: optional
Build-Depends: debhelper (>= 11),
               dh-python,
               python3-all-dev,
               cython3,
               python3-pytest,
               python3-wheel (>= 0.32.0)
Standards-Version: 4.2.1
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-cymem
Vcs-Git: https://salsa.debian.org/python-team/modules/python-cymem.git
Homepage: https://github.com/explosion/cymem

Package: python3-cymem
Architecture: any
Depends: ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Description: cython memory pool for RAII-style memory management
 Cython Memory Helper provides two small memory-management helpers for
 Cython. They make it easy to tie memory to a Python object's life-cycle,
 so that the memory is freed when the object is garbage collected.

=== debian/watch ===
version=4

https://github.com/explosion/cymem/releases .*/archive/v?(\d[.\d]+)@ARCHIVE_EXT@

## python-cymem 2.0.6

=== requirements.txt ===
cython>=0.25
pytest

=== debian/changelog ===
python-cymem (2.0.6-1build5) noble; urgency=medium

  * No-change rebuild with Python 3.12 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 10 Apr 2024 18:28:49 +0000

python-cymem (2.0.6-1build4) noble; urgency=medium

  * No-change rebuild to build with python3.12 as supported.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 02 Nov 2023 09:25:27 +0100

python-cymem (2.0.6-1build3) lunar; urgency=medium

  * No-change rebuild with Python 3.11 only

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 21 Mar 2023 05:45:15 +0000

python-cymem (2.0.6-1build2) lunar; urgency=medium

  * No-change rebuild with Python 3.11 as supported

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 03 Nov 2022 17:41:30 +0000

python-cymem (2.0.6-1build1) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 16 Mar 2022 23:03:34 +0000

python-cymem (2.0.6-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Rename d/tests/control.autodep8 to d/tests/control.
  * Use debhelper-compat instead of debian/compat.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Andreas Tille ]
  * Fix watch file
  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Build-Depends: python3-setuptools

 -- Andreas Tille <tille@debian.org>  Sat, 29 Jan 2022 07:55:33 +0100

=== debian/watch ===
version=4

https://github.com/explosion/cymem/tags .*/v?(\d[.\d]+)@ARCHIVE_EXT@

## python-cymem 2.0.10

=== debian/changelog ===
python-cymem (2.0.10-1build2) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Mar 2025 18:41:39 +0000

python-cymem (2.0.10-1build1) plucky; urgency=medium

  * No-change rebuild to add support for Python 3.13.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 14 Nov 2024 19:29:48 +0100

python-cymem (2.0.10-1) unstable; urgency=medium

  * Team Upload
  * Fix watchfile
  * New upstream version 2.0.10
  * Use dh-sequence-python3

 -- Alexandre Detiste <tchet@debian.org>  Mon, 11 Nov 2024 17:06:12 +0100

=== debian/control ===
--- 
+++ 
@@ -4,16 +4,18 @@
 Section: python
 Testsuite: autopkgtest-pkg-python
 Priority: optional
-Build-Depends: debhelper (>= 11),
-               dh-python,
+Build-Depends: debhelper-compat (= 13),
+               dh-sequence-python3,
                python3-all-dev,
+               python3-setuptools,
                cython3,
                python3-pytest,
-               python3-wheel (>= 0.32.0)
-Standards-Version: 4.2.1
-Vcs-Browser: https://salsa.debian.org/python-team/modules/python-cymem
-Vcs-Git: https://salsa.debian.org/python-team/modules/python-cymem.git
+               python3-wheel
+Standards-Version: 4.6.0
+Vcs-Browser: https://salsa.debian.org/python-team/packages/python-cymem
+Vcs-Git: https://salsa.debian.org/python-team/packages/python-cymem.git
 Homepage: https://github.com/explosion/cymem
+Rules-Requires-Root: no
 
 Package: python3-cymem
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export PYBUILD_NAME = cymem

%:
	dh $@ --buildsystem=pybuild

=== debian/tests/control ===
Test-Command: cd cymem; python3 -m pytest tests -v
Depends: @, python3-pytest

## python-cymem 2.0.11

=== debian/changelog ===
python-cymem (2.0.11-1) unstable; urgency=medium

  * Team upload.
  * Switch to autopkgtest-pkg-pybuild (closes: #1093017).
  * New upstream release.
  * Use pybuild-plugin-pyproject.

 -- Colin Watson <cjwatson@debian.org>  Thu, 27 Mar 2025 14:46:58 +0000

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,11 @@
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: python
-Testsuite: autopkgtest-pkg-python
+Testsuite: autopkgtest-pkg-pybuild
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-python3,
+               pybuild-plugin-pyproject,
                python3-all-dev,
                python3-setuptools,
                cython3,

=== debian/rules ===
#!/usr/bin/make -f
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export PYBUILD_NAME = cymem
export PYBUILD_TEST_ARGS = tests

%:
	dh $@ --buildsystem=pybuild
